UpnpGlobal.h File Reference

Defines constants that for some reason are not defined on some systems. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | EXPORT_SPEC
| Export functions on WIN32 DLLs. More...
#define | UPNP_INLINE inline
| Declares an inline function. More...
#define | PRIzu "zu"
| Supply the PRId64 printf() macro. More...

## Detailed Description

Defines constants that for some reason are not defined on some systems.

## Macro Definition Documentation

#define EXPORT_SPEC

Export functions on WIN32 DLLs.

Every funtion that belongs to the library API must use this definition upon declaration or it will not be exported on WIN32 DLLs.

#define PRIzu "zu"

Supply the PRId64 printf() macro.

MSVC still does not know about this.

Supply the PRIzu printf() macro.

This macro was invented so that we can live a little longer with MSVC lack of C99. "z" is the correct printf() size specifier for the size_t type.

Referenced by AllocGenaHeaders(), and print_token().

#define UPNP_INLINE inline

Declares an inline function.

Surprisingly, there are some compilers that do not understand the inline keyword. This definition makes the use of this keyword portable to these systems.